libgd-graph3d-perl_0.63-9_all.deb


Advertisement

Description

libgd-graph3d-perl - Create 3D Graphs with GD and GD::Graph

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgd-graph3d-perl
Package version 0.63
Package release 9
Package architecture all
Package type deb
Installed size 91 B
Download size 26.71 KB
Official Mirror ftp.br.debian.org
This is the GD::Graph3d extensions module. It provides 3D graphs for
the GD::Graph module by Martien Verbruggen, which in turn generates
graph using Lincoln Stein's GD.pm.

Alternatives

Package Version Architecture Repository
libgd-graph3d-perl_0.63-9_all.deb 0.63 all Debian Main
libgd-graph3d-perl - - -

Requires

Name Value
libgd-gd2-noxpm-perl -
libgd-gd2-perl -
libgd-graph-perl -
libgd-perl -
perl -

Download

Type URL
Binary Package libgd-graph3d-perl_0.63-9_all.deb
Source Package libgd-graph3d-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgd-graph3d-perl deb package:
    # sudo apt-get install libgd-graph3d-perl

Files

Path
/usr/share/doc/libgd-graph3d-perl/buildinfo_all.gz
/usr/share/doc/libgd-graph3d-perl/changelog.Debian.gz
/usr/share/doc/libgd-graph3d-perl/changelog.gz
/usr/share/doc/libgd-graph3d-perl/copyright
/usr/share/man/man3/GD::Graph3d.3pm.gz
/usr/share/perl5/GD/Graph3d.pm
/usr/share/perl5/GD/Graph/axestype3d.pm
/usr/share/perl5/GD/Graph/bars3d.pm
/usr/share/perl5/GD/Graph/cylinder.pm
/usr/share/perl5/GD/Graph/cylinder3d.pm
/usr/share/perl5/GD/Graph/lines3d.pm
/usr/share/perl5/GD/Graph/pie3d.pm

Changelog

2014-06-14 - Jonas Smedegaard <dr@jones.dk>
libgd-graph3d-perl (0.63-9) unstable; urgency=low
[ Gregor Herrmann ]
* Remove debian/source/local-options: abort-on-upstream-changes and
unapply-patches are default in dpkg-source since 1.16.1.
[ Salvatore Bonaccorso ]
* Change to use canonical hot (anonscm.debian.org) in Vcs-Git URI.
[ Axel Beckert ]
* Update copyright info:
+ Declare compliance with format version 1.0.
[ Jonas Smedegaard ]
* Update copyright info:
+ Fix use comment and license pseudo-sections to obey silly
restrictions of copyright format 1.0.
+ Quote license names in comments to avoid some ambiguity.
+ Extend packaging to cover recent years.
+ Bump licensing of packaging to GPL-3+.
+ Fix double-indent subsequent copyright holders.
* Modernize CDBS:
+ Hard-include upstream-tarball.mk and utils.mk: Needed helper tools
are now available even in oldstable.
* Update package relations:
+ (Build-)depend on libgd-perl (with obsolete libgd-gd2-perl and
libgd-gd2-noxpm-perl variants only as fallback).
+ Relax to (build-)depend unversioned on libgd-graph-perl, cdbs and
debhelper: Needed versions satisfied even in oldstable.
+ Build-depend on devscripts and dh-buildinfo.
+ Build-depend on libregexp-assemble-perl, libimage-exiftool-perl
and libfont-ttf-perl: Needed to extract copyright metadata.
+ Resolve package relations in rules file.
* Update watch file to include metacpan.org URL (replacing
search.cpan.org URL), in addition to www.cpan.org URL.
Stop needless (and arguably bogus) upstream version mangling.
* Bump Standards-Version to 3.9.5: Packaging is compliant with
corresponding version of Debian Policy.
* Bump debhelper compatibility level to 8: Needed package version
satisfied even in oldstable, and no newer features needed.
* Fix use canonical Vcs-Git and Vcs-Browser URLs.
* Rewrap long description at 72 chars, and strip trailing whitespace.
* Extract metadata from (not suppress) images before copyright check.
2011-05-08 - Jonas Smedegaard <dr@jones.dk>
libgd-graph3d-perl (0.63-8) unstable; urgency=low
* Update copyright file:
+ Rewrite using draft 174 of DEP-5 format.
+ Rewrap license fields at 72 chars.
* Bump policy compliance to standards-version 3.9.2.
2011-03-11 - Jonas Smedegaard <dr@jones.dk>
libgd-graph3d-perl (0.63-7) unstable; urgency=low
* Use CDBS perl-makemaker.mk (not deprecated perlmodule.mk).
* Update watch file:
+ Track both by-modules page and search.cpan.org.
+ Strip unneeded + in regexp.
* Update copyright suppression to match newer CDBS.
* Extend copyright years for Debian packaging.
* Build-depend on libgd-gd2-perl: libgd-gd2-noxpm-perl is deprecated.
* Update copyright file:
+ Rewrite using DEP5 Subversion draft rev.173.
+ Extend years.
+ Use search.cpan.org page as source URL.
2010-10-18 - Jonas Smedegaard <dr@jones.dk>
libgd-graph3d-perl (0.63-6) unstable; urgency=low
* Move to Debian Perl Group: Update Maintainer field, and set myself
to uploader.
* Packaging moved to Git:
+ Update Vcs stanzas.
+ Add git-buildpackage configfile, enabling signed tags and use of
pristine-tar.
+ Use source format 3.0 (quilt), with suitable local-options.
+ Git-ignore quilt .pc dir.
* Drop locally included CDBS snippets: included in main cdbs now.
* Add README.source. Drop custom hints about CDBS.
* Add proper licensing header to debian/rules. Extend copyright years.
* Strip now obsolete suffices from watch file.
* Ease backporting to Debian stable: Relax inclusion of CDBS snippets
required only in DEB_MAINTAINER_MODE, and supprress related build-
dependencies.
* Fix depend on ${perl:Depends} and ${misc:Depends}.
* Bump Policy compliance to standards-version 3.9.1.
* Suppress some graphics from copyright-check.
* Rewrite copyright file using draft rev135 of DEP5 format.

See Also

Package Description
libgd-ocaml-dev_1.0~alpha5-8+b3_amd64.deb OCaml interface to the GD library -- developpement files
libgd-ocaml_1.0~alpha5-8+b3_amd64.deb OCaml interface to the GD library -- runtime files
libgd-perl_2.53-1+b1_amd64.deb Perl module wrapper for libgd
libgd-securityimage-perl_1.72-2_all.deb security image (captcha) generator
libgd-svg-perl_0.33-1_all.deb Seamlessly enable SVG output from scripts written using GD
libgd-text-perl_0.86-9_all.deb Text utilities for use with GD
libgd-tools_2.1.0-5+deb8u11_amd64.deb GD command line tools and example code
libgd2-noxpm-dev_2.1.0-5+deb8u11_amd64.deb GD Graphics Library (transitional package)
libgd2-xpm-dev_2.1.0-5+deb8u11_amd64.deb GD Graphics Library (transitional package)
libgd3_2.1.0-5+deb8u11_amd64.deb GD Graphics Library
libgda-5.0-4_5.2.2-2_amd64.deb data abstraction library based on GLib
libgda-5.0-bin_5.2.2-2_amd64.deb data abstraction library based on GLib -- binary files
libgda-5.0-common_5.2.2-2_all.deb data abstraction library based on GLib -- common files
libgda-5.0-dev_5.2.2-2_amd64.deb data abstraction library based on GLib -- development files
libgda-5.0-doc_5.2.2-2_all.deb data abstraction library based on GLib -- documentation files
Advertisement
Advertisement